The Author Online Book Forums are Moving

The Author Online Book Forums will soon redirect to Manning's liveBook and liveVideo. All book forum content will migrate to liveBook's discussion forum and all video forum content will migrate to liveVideo. Log in to liveBook or liveVideo with your Manning credentials to join the discussion!

Thank you for your engagement in the AoF over the years! We look forward to offering you a more enhanced forum experience.

warrj (1) [Avatar] Offline
#1
Hi,

I'm getting the following error on Mac OS X (10.5.5 on 64-bit Intel):

setup-mule-eclipse-classpath:

BUILD FAILED
/Junk/osesbinaction-full-environment/build.xml:214: java.lang.UnsupportedClassVersionError: Bad version number in .class file

java -version reports:

java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06-153)
Java HotSpot(TM) 64-Bit Server VM (build 1.6.0_07-b06-57, mixed mode)

Does anyone have any advice on how to get the build to complete?

Thanks in advance,

Jules.
tijs.rademakers (494) [Avatar] Offline
#2
Re: Build Error on OS X - using Java 6
Hi,

Is this Java installation a JRE 6 or a JDK 6? It should be JDK 6.
Does the JAVA_HOME also points to the JDK 6?

Best regards,

Tijs